[Toaster] [PATCH v5 15/19] toaster: update conf/local.conf
Ed Bartosh
ed.bartosh at linux.intel.com
Wed Mar 16 05:05:34 PDT 2016
Added 'INHERIT+="toaster buildhistory"' line to the conf/local conf
when Toaster starts. It should make commandline builds to provide
all required information to Toaster backend.
Signed-off-by: Ed Bartosh <ed.bartosh at linux.intel.com>
---
bitbake/bin/toaster | 6 +++---
1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/bitbake/bin/toaster b/bitbake/bin/toaster
index 5cc77ed..dfaff2e 100755
--- a/bitbake/bin/toaster
+++ b/bitbake/bin/toaster
@@ -252,9 +252,9 @@ case $CMD in
fi
# Create configuration file
- conf=${BUILDDIR}/conf/toaster.conf
- echo "# Created by toaster start script" > $conf
- echo "INHERIT+=\"toaster buildhistory\"" >> $conf
+ conf=${BUILDDIR}/conf/local.conf
+ line='INHERIT+="toaster buildhistory"'
+ grep -q "$line" $conf || echo $line >> $conf
if [ $WEBSERVER -gt 0 ] && ! webserverStartAll; then
echo "Failed ${CMD}."
--
2.1.4
More information about the toaster
mailing list